Bug 996696 - Conflict of manpage when installing glance
Conflict of manpage when installing glance
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution (Show other bugs)
4.0
x86_64 Linux
unspecified Severity urgent
: beta
: 4.0
Assigned To: Jakub Ruzicka
Yogev Rabl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 14:03 EDT by Jaroslav Henner
Modified: 2013-12-05 12:26 EST (History)
5 users (show)

See Also:
Fixed In Version: openstack-glance-2013.2-0.7.b3.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 12:26:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error (4.18 KB, text/plain)
2013-08-13 14:04 EDT, Jaroslav Henner
no flags Details

  None (edit)
Description Jaroslav Henner 2013-08-13 14:03:17 EDT
Description of problem:
/usr/share/man/man1/glance.1.gz is probably mistakenly included in two packages. See the attached error

Version-Release number of selected component (if applicable):
Puddle 4.0/2013-08-09.2
openstack-glance-2013.2-0.6.b2.el6ost.noarch 
python-glanceclient-1:0.9.0-1.el6ost.noarch

How reproducible:
always

Steps to Reproduce:
1. yum -y install  openstack-glance-2013.2-0.6.b2.el6ost.noarch python-glanceclient-1:0.9.0-1.el6ost.noarch
2.
3.

Actual results:
conflict

Expected results:


Additional info:
Comment 1 Jaroslav Henner 2013-08-13 14:04:47 EDT
Created attachment 786231 [details]
error
Comment 3 Gilles Dubreuil 2013-08-22 03:24:35 EDT
Workaround in the meantime:

1. # yum install python-cinderclient pysendfile python-crypto python-glance python-glanceclient  python-httplib2 python-jsonschema  python-swiftclient python-warlock pyxattr

2. Get openstack-glance-2013.2-0.6.b2.el6ost.noarch.rpm and force it
   # rpm -ivh --force openstack-glance-2013.2-0.6.b2.el6ost.noarch.rpm
Comment 4 Pádraig Brady 2013-09-24 13:03:36 EDT
I think this may already be addressed. Jruzicka has details.
Comment 5 Jakub Ruzicka 2013-09-25 10:00:56 EDT
I removed the glance man page from glance upstream and latest openstack-glance-2013.2-0.7.b3.el6ost seems to not include it so this should be solved for 4.0. 

However, when using older glance with newer glanceclient, this might still occur. I could move the man page to %{_mandir}/man1x/swift.1x to prevent the collision a la swiftclient, you think that's worth it?
Comment 6 Pádraig Brady 2013-09-25 12:18:42 EDT
going forward this won't be a conflict issue, so I wouldn't bother
Comment 7 Scott Lewis 2013-11-19 11:54:16 EST
Auto adding >= MODIFIED bugs to beta

Note You need to log in before you can comment on or make changes to this bug.